gstreamermm: Gst::TcpServerSink Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::TcpServerSink Class Reference
gstreamermm Plugins

A Wrapper for the tcpserversink plugin. More...

Inheritance diagram for Gst::TcpServerSink:
[legend]
Collaboration diagram for Gst::TcpServerSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~TcpServerSink ()
GstTCPServerSink* | gobj ()
| Provides access to the underlying C GObject.
const GstTCPServerSink* | gobj () const
| Provides access to the underlying C GObject.
GstTCPServerSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_host ()
| The host/IP to send the packets to.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_host () const
| The host/IP to send the packets to.
Glib::PropertyProxy< int > | property_port ()
| The port to send the packets to.
Glib::PropertyProxy_ReadOnly< int > | property_port () const
| The port to send the packets to.
## Static Public Member Functions
static Glib::RefPtr < TcpServerSink > | create ()
| Creates a new tcpserversink plugin with a unique name.
static Glib::RefPtr < TcpServerSink > | create (const Glib::ustring& name)
| Creates a new tcpserversink plugin with the given name.
## Protected Member Functions
| TcpServerSink ()
| TcpServerSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TcpServerSink > | wrap (GstTCPServerSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the tcpserversink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TcpServerSink::~TcpServerSink | ( |  | ) | `[virtual]`

Gst::TcpServerSink::TcpServerSink | ( |  | ) | `[protected]`

Gst::TcpServerSink::TcpServerSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TcpServerSink> Gst::TcpServerSink::create | ( |  | ) | `[static]`

Creates a new tcpserversink plugin with a unique name.

Reimplemented from Gst::MultiFdSink.

static Glib::RefPtr<TcpServerSink> Gst::TcpServerSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new tcpserversink plugin with the given name.

Reimplemented from Gst::MultiFdSink.

const GstTCPServerSink* Gst::TcpServerSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::MultiFdSink.

GstTCPServerSink* Gst::TcpServerSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::MultiFdSink.

GstTCPServerSink* Gst::TcpServerSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::MultiFdSink.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::TcpServerSink::property_host | ( |  | ) | const

The host/IP to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::TcpServerSink::property_host | ( |  | ) |

The host/IP to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TcpServerSink::property_port | ( |  | ) | const

The port to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TcpServerSink::property_port | ( |  | ) |

The port to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TcpServerSink > wrap | ( | GstTCPServerSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/tcpserversink.h